Subject: [bug#63117] [PATCH] gnu: yt-dlp: Change input.

From: Dominik Delgado Steuter <[email-masked]>
Date: Tue, 2 May 2023 00:39:07 +0200

Hi Jack,

thanks for reviewing my patch. You are probably right that yt-dlp only 
needs the path and not necessarily the propagated-input.

I will try to figure out how exactly to do that and then send the 
updated patch.

Regards,
Dominik

Am 29.04.23 um 06:36 schrieb Jack Hill:
> On Thu, 27 Apr 2023, Dominik Delgado Steuter via Guix-patches via wrote:
> 
>> yt-dlp complained when the "--add-metadata" flag was used.
>> youtube-dl does not need ffmpeg as a propagated-input, though.
> 
> Dominik,
> 
> Thanks for working on improving our yt-dlp package. Can you explain a 
> little more about why yt-dlp needs ffmpeg to be propagated? I haven't 
> looked too closely, but I suspect yt-dlp just want to be able to call 
> ffmpeg at runtime. If that's true, then I think it would be better to 
> use substitute* in a phase so that yt-dlp can use the full path to 
> ffmpeg, and not clutter folks' profiles.
> 
> If I'm correct, can you provide an updated patch that does that? I'm 
> happy to provide more guidance if you need it.
> 
> If I'm wrong and ffmpeg needs to be propagated for some other reason, 
> can you add a comment in the code explaining the need?
> 
> Best,
> Jack